/**
 * Featured (component)
 * Event component used in
 * - paragraph--featured.html.twig
 */

.featured {
  display: flex;
  position: relative;
  gap: 1.5rem;
}
.featured--right,
.featured--left {
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.featured--alt {
  background-color: var(--color-primary--6);
}
.featured__image {
  z-index: 2;
}
.featured__image img {
  width: 100%;
}
.featured__content {
  padding: 1rem;
  padding-top: 0;
}
.section > .grid-row .featured__content {
  padding: 0;
}
.featured h2 {
  font-size: 1.5rem;
}
.featured__text {
  margin-bottom: 1.5rem;
}
@media all and (min-width: 1120px) {
  .featured {
    gap: 0;
  }
  .section > .grid-row .featured {
    gap: 2rem;
  }
  .featured--right {
    flex-direction: row-reverse;
  }
  .featured--left {
    flex-direction: row;
  }
  .featured__image {
    max-width: 50%;
    width: 100%;
  }
  .featured__wrapper {
    max-width: 50%;
    width: 100%;
    display: flex;
    align-items: center;
  }
  .featured__grid {
    max-width: 688px;
    width: 100%;
    display: flex;
  }
  .featured--right .featured__grid {
    margin-left: calc((100% - 80%)/2);
    justify-content: flex-start;
  }
  .featured--left .featured__grid {
    margin-right: calc((100% - 80%)/2);
    justify-content: flex-end;
  }
  .featured__content {
    max-width: 566px;
  }
  .featured--right .featured__content {
    padding-right: 2rem;
    padding-left: 0;
  }
  .featured--left .featured__content {
    padding-left: 2rem;
    padding-right: 0;
  }
  .featured__text {
    margin-bottom: 2rem;
  }
}
@media all and (min-width: 1200px) {
  .featured--alt::before,
  .featured--alt::after {
    content: '';
    width: 100%;
    height: 40px;
    background-color: var(--color-neutral);
    position: absolute;
    z-index: 1;
  }
  .featured--alt::before {
    top: 0;
  }
  .featured--alt::after {
    bottom: 0;
  }
}
@media all and (min-width: 1350px) {
  .featured__content {
    padding: 0;
  }
}
@media all and (min-width: 1450px) {
  .featured__content {
    padding: 0;
  }
}
@media all and (min-width: 1500px) {
  .featured--alt::before,
  .featured--alt::after {
    height: 72px;
  }
  .featured--right .featured__wrapper {
    padding-left: 0;
  }
  .featured--left .featured__wrapper {
    padding-right: 0;
  }
  .featured:not(.featured--alt) .featured__image,
  .featured:not(.featured--alt) .featured__image img {
    max-height: 788px;
    object-fit: cover;
  }
  .path-frontpage .featured:not(.featured--alt) .featured__image,
  .path-frontpage .featured:not(.featured--alt) .featured__image img {
    max-height: unset;
  }
}
@media all and (min-width: 1920px) {
  .featured__grid {
    max-width: unset;
  }
  .featured--right .featured__grid {
    margin-left: calc((100% - 444px)/2);
  }
  .featured--left .featured__grid {
    margin-right: calc((100% - 444px)/2);
  }
}
